make htmldoc always recreates everything (even if no change was made)

08 Dec 2016 13:10 - John Abbott

Status: Closed Start date: 08 Dec 2016

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: Manual/documentation Estimated time: 3.33 hours

Target version: CoCoA-5.3.0 Spent time: 3.60 hours

Description

It is mildly annoying that the htmldoc target is always rebuilt even if there was no change to the file CoCoAHelp.xml.

Can it be fixed so that rebuilding occurs only if CoCoAHelp.xml has changed (or a previous build did not complete)?

History

#1 - 08 Dec 2016 13:13 - John Abbott

It may be enough to create (using touch?) two sentinel files: one immediately before producing all the HTML files, and one after.

I'll call them BEFORE and AFTER.

Rebuilding does not occur if (BEFORE and AFTER both exist and) CoCoAHelp.xml is older than BEFORE and BEFORE is older than AFTER; in all

other cases the HTML files are rebuilt (as far as I can tell, either they are all created, or none is created).

(Re)Building implies: touch BEFORE; make all the HTML files; touch AFTER

NOTE we could add a sleep 1 before touching BEFORE and AFTER just to make sure that their timestamps are different...

#2 - 08 Dec 2016 20:08 - Anna Maria Bigatti

The files to check for changes should be CoCoAHelp.xml, aux-files/GUI_help.xsl, and the files in aux-files/GUI-extra-files

#3 - 02 Mar 2020 15:03 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 0 to 80

- Estimated time set to 2.80 h

I think that this has already been done (don't recall when).

In the Makefile in src/CoCoA-5/CoCoAManual/ there is a target for TimeStamp in the HTML directory which seems to do the right thing.

Much the same mechanism is used for the PDF version of the documentation.

Close?

#4 - 04 Mar 2020 15:49 - John Abbott

I have just now added dependencies for the generation of the LaTeX version; it now depends also on aux-files/TeX.xsl 
aux-files/TeX-extra-files/mybook.cls

Not sure who uses aux-files/GUI-extra-files/* as mentioned in comment 2.  Anna???

#5 - 04 Mar 2020 15:59 - Anna Maria Bigatti

John Abbott wrote:

Not sure who uses aux-files/GUI-extra-files/* as mentioned in comment 2.  Anna???

 

html.  It was first made for the old GUI.

#6 - 04 Mar 2020 16:14 - John Abbott

I made the directory aux-files/GUI-extra_files/ unreadable using chmod.  Then make veryclean followed by make.

Everything worked.  So those files are not needed at the moment.

Perhaps we can just leave them there for the time being, in case they are every useful for a future GUI?

#7 - 04 Mar 2020 16:15 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time changed from 2.80 h to 3.33 h

Powered by TCPDF (www.tcpdf.org)

24 Apr 2024 2/2

http://www.tcpdf.org

